Refund a payment transaction
curl --request POST \
--url https://api-sb.meld.io/payments/transactions/{id}/refund \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"sourceAmount": 0
}
'import requests
url = "https://api-sb.meld.io/payments/transactions/{id}/refund"
payload = { "sourceAmount": 0 }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({sourceAmount: 0})
};
fetch('https://api-sb.meld.io/payments/transactions/{id}/refund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"serviceProvider": "<string>",
"sessionId": "<string>",
"status": "<string>",
"transactionType": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"accountId": "<string>",
"countryCode": "<string>",
"cryptoDetails": {
"blockchainTransactionId": "<string>",
"chainId": "<string>",
"institution": "<string>",
"networkFee": 123,
"networkFeeInUsd": 123,
"offrampDestinationWalletAddress": "<string>",
"partnerFee": 123,
"partnerFeeInUsd": 123,
"swapFee": 123,
"swapFeeInUsd": 123,
"totalFee": 123,
"totalFeeInUsd": 123,
"transactionFee": 123,
"transactionFeeInUsd": 123,
"walletAddress": "<string>"
},
"customer": {
"accountId": "<string>",
"addresses": [
{
"addressDetails": {
"city": "<string>",
"country": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"lineOne": "<string>",
"lineTwo": "<string>",
"postalCode": "<string>",
"region": "<string>"
}
}
],
"email": "<string>",
"externalId": "<string>",
"id": "<string>",
"name": {
"firstName": "<string>",
"lastName": "<string>"
},
"phone": "<string>",
"serviceProviders": {},
"status": "<string>"
},
"description": "<string>",
"destinationAmount": 123,
"destinationCurrencyCode": "<string>",
"externalCustomerId": "<string>",
"externalReferenceId": "<string>",
"externalSessionId": "<string>",
"externalSubaccountCustomerId": "<string>",
"fiatAmountInUsd": 123,
"isImported": true,
"isPassthrough": true,
"key": "<string>",
"multiFactorAuthorizationStatus": [
{
"submitted": true,
"successful": true,
"url": "<string>"
}
],
"orderId": "<string>",
"parentPaymentTransactionId": "<string>",
"passthroughReference": "<string>",
"paymentDetails": {
"authAmount": 123,
"captureAmount": 123
},
"paymentMethodType": "<string>",
"serviceProviderCreatedAt": "2023-11-07T05:31:56Z",
"serviceProviderDetails": {},
"serviceProviderTransactionUrl": "<string>",
"serviceTransactionId": "<string>",
"sessionClientTags": {},
"sourceAmount": 123,
"sourceCurrencyCode": "<string>",
"subaccountCustomerId": "<string>"
}
}{
"code": "<string>",
"displayMessage": "<string>",
"errors": [
"<string>"
],
"message": "<string>",
"requestId": "<string>",
"serviceProviderDetails": {},
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"displayMessage": "<string>",
"errors": [
"<string>"
],
"message": "<string>",
"requestId": "<string>",
"serviceProviderDetails": {},
"timestamp": "2023-11-07T05:31:56Z"
}Transactions
Refund a payment transaction
This is the endpoint to refund a transaction on any of the supported providers. Full as well as partial refunds are supported, so it is not mandatory to inform the total value of the original transaction in the case of a full refund. Note: While the parameters within the body are optional, you must at least pass in a valid JSON body, e.g. .
POST
/
payments
/
transactions
/
{id}
/
refund
Refund a payment transaction
Authorizations
Headers
Path Parameters
Unique identifier of the transaction to be refunded
Minimum string length:
1Body
application/json
Response
Payment successfully refunded
Payment transaction information
Show child attributes
Show child attributes
⌘I